
class BoardsWatchersController < ApplicationController
  unloadable

  before_filter :setup_environment

  def manage
		redirect_to_settings_in_projects if request.post?
  end

private

  def setup_environment
		@project = Project.find(params[:project_id])
		if (User.current.allowed_to?(:delete_board_watchers,@project))
			@board=Board.find_by_id(params[:id])
			render_404 unless @board
		else
			deny_access
		end
	rescue ActiveRecord::RecordNotFound
		render_404
	end

	def redirect_to_settings_in_projects
		redirect_to :controller => 'projects', :action => 'settings', :id => @project, :tab => 'boards'
	end

end

